#
# spec file for package iops
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           iops
Version:        0.0+git.20171210
Release:        lp150.1.1
Summary:        Disk I/O Benchmark
License:        ISC
Group:          System/Benchmark
URL:            http://benjamin-schweizer.de/measuring-disk-io-performance.html
Source0:        %{name}-%{version}.tar.xz
BuildArch:      noarch

%description
Benchmark script to measure disk I/O performance.

%prep
%setup -q
sed -i 's|env python|python2|g' iops

%build

%install
install -Dpm 0755 iops \
  %{buildroot}%{_sbindir}/iops

%files
%doc README.md
%{_sbindir}/iops

%changelog
* Thu Mar  8 2018 mpluskal@suse.com
- Update to version 0.0+git.20171210:
  * typo fix: benachmark -> benchmark
  * try to use BLKGETSIZE if BLKGETSIZE64 does not work
  * Correct spelling mistake
  * link to admin magazine article
  * link to admin magazine article
  * fixed exception handling
- Avoind using env
- Update spec file using spec-cleaner
* Sun Jul  3 2016 mpluskal@suse.com
- Update to version 0.0+git.20160701:
  * updated examples
  * added README
  * added links
  * cleanup
  * added examples and samples
  * fixed exception handling
  * link to admin magazine article
  * link to admin magazine article
  * Correct spelling mistake
- Cleanup spec file with spec-cleaner
- Add _service
* Tue Jul 22 2014 dsterba@suse.cz
- clean spec
* Tue Jul  2 2013 dsterba@suse.cz
- update from git 2013-04-19
  - win32, freebsd support and fixes
  - default threads increased to 32
* Mon Aug 23 2010 pascal.bleser@opensuse.org
- initial package (20100812)
